Description

The Format.Currency ViewHelper currently only renders its formatting "hard-coded". Allow usage of the Locale and Cldr functionality.

Related issues:
related to TYPO3.Flow - Feature # 9313: Support for currencies New
duplicated by TYPO3.Fluid - Feature # 36014: Prepend currency sign Resolved

Associated revisions
Revision afdbc774 - 2012-09-17 11:57 - Adrian Föder

[FEATURE] Allow using Locale in Currency and Date ViewHelper

This enables switching the use of the current active Locale
in Format.Currency and Format.Date ViewHelper.

Change-Id: Id6de71d15d5e1cf08fea1dc4e6533d8c2e39927b
Resolves: #33143
Releases: 1.2

History
#1 - 2012-01-13 17:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#2 - 2012-01-13 17:26 - Adrian Föder

What do you think about the idea and its implementation at all?

What I already thought to the end is that the currency itself has to be set explicitly always, a currency is always bound to the value to describe. It does
not make sense to give a value and assign "any" currency wildly.
What may be considered is the position of the currency sign (leading or trailing); on one hand it is set at the CLDR information (see 
Framework\TYPO3.FLOW3\Resources\Private\Locale\CLDR\Sources\main\de_CH.xml in contrast to ...de.xml, in first case the currency symbol is
leading, in latter case it's trailing.

So please share your thoughts, if we come to an end I will ad the date ViewHelper in a similar style to the look we've been discussing here than.

#3 - 2012-02-07 12:46 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#4 - 2012-02-28 17:33 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#5 - 2012-04-11 16:17 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#6 - 2012-05-21 17:06 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#7 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#8 - 2012-06-19 11:09 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 2.0 beta 1

#9 - 2012-07-18 14:39 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#10 - 2012-07-18 15:19 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#11 - 2012-08-17 12:22 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#12 - 2012-09-05 09:59 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#13 - 2012-09-05 10:15 - Gerrit Code Review
Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#14 - 2012-09-17 11:57 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7783

#15 - 2012-09-17 12:06 - Adrian Föder
- Status changed from Under Review to Resolved

Related patch set has been merged.
